﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace CajasDeDialogo
{
  /// <summary>
  /// Lógica de interacción para DlgCasillaVerificacion.xaml
  /// </summary>
  public partial class DlgCasillaVerificacion : Window
  {
    public DlgCasillaVerificacion()
    {
      InitializeComponent();
    }

    private void cvConverMayus_Click(object sender, RoutedEventArgs e)
    {
      ctTexto.Focus();
    }

    private void ctTexto_PreviewTextInput(object sender, TextCompositionEventArgs e)
    {
      char car = e.Text[0];
      if (cvConverMayus.IsChecked == false)
      {
        if (char.IsUpper(car))
          car = char.ToLower(car);
      }
      else if (cvConverMayus.IsChecked == true)
      {
        if (char.IsLower(car))
          car = char.ToUpper(car);
      }
      ctTexto.SelectedText = car.ToString();
      ctTexto.SelectionStart = ctTexto.Text.Length;
      e.Handled = true;
    }
  }
}
