﻿using System.Windows.Controls;
using System.Windows.Data;

namespace ComponentesAccesoDatos.Clases
{
  class ReglaValidacionFilaTfno : ValidationRule
  {
    public override ValidationResult Validate(object value,
    System.Globalization.CultureInfo cultureInfo)
    {
      CTelefonoBO fila = (value as BindingGroup).Items[0] as CTelefonoBO;
      long tfno;
      if (!long.TryParse(fila.Telefono, out tfno))
        return new ValidationResult(false, "No es un número de teléfono válido");
      return ValidationResult.ValidResult;
    }
  }
}
