﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ApNavegacionWeb
{
  /// <summary>
  /// Lógica de interacción para PagFunAgregarPersona.xaml
  /// </summary>
  public partial class PagFunAgregarPersona : PageFunction<CPersona>
  {
    private CPersona nuevaPersona = new CPersona();

    public PagFunAgregarPersona()
    {
      InitializeComponent();
      this.DataContext = nuevaPersona;
    }

    private void btAceptar_Click(object sender, RoutedEventArgs e)
    {
      // Aceptar la información introducida
      OnReturn(new ReturnEventArgs<CPersona>(nuevaPersona));
    }

    private void btCancelar_Click(object sender, RoutedEventArgs e)
    {
      // Operación cancelada
      OnReturn(null);
    }
  }
}
