﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Reflection;

namespace ApSilverlight
{
  public partial class MainPage : UserControl
  {
    public MainPage()
    {
      InitializeComponent();
    }

    private void lstControlesSilverlight_SelectionChanged(object sender, SelectionChangedEventArgs e)
    {
      // Acceder al elemento seleccionado
      ListBox lista = sender as ListBox;
      string elementoSeleccionado =
        (lista.SelectedItem as ListBoxItem).Content.ToString();
      // Crear la página correspondiente a la selección
      Type tipo = this.GetType(); // tipo de this
      // Ensamblado al que pertenece "tipo"
      Assembly assembly = tipo.Assembly;
      // Crear la página especificada
      UserControl pagina = (UserControl)assembly.CreateInstance(
          tipo.Namespace + ".Paginas." + elementoSeleccionado);
      // Mostrar la página
      contenedorPag.Child = pagina;
    }
  }
}
