﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace ApSilverlight.Paginas
{
  public partial class SilverlightAutoCompleteBox : UserControl
  {
    List<CPersona> listaPersonas = new List<CPersona>();

    public SilverlightAutoCompleteBox()
    {
      InitializeComponent();
      acbProvincias.ItemsSource = new String[]{
        "Álava (Araba)", "Albacete", "Alicante", "Almería",
        "Asturias", "Ávila", "Badajoz", "Barcelona", "Burgos",
        "Cantabria", "Castellón", "Ciudad Real", "Cuenca",
        "Cáceres", "Cádiz", "Córdoba", "Gerona (Girona)",
        "Granada", "Guadalajara", "Guipúzcoa (Gipuzkoa)",
        "Huelva", "Huesca", "Islas Baleares (Illes Balears)",
        "Jaén", "La Coruña (A Coruña)", "La Rioja", "Las Palmas",
        "León", "Lugo", "Lérida (Lleida)", "Madrid", "Murcia",
        "Málaga", "Navarra", "Orense (Ourense)", "Palencia",
        "Pontevedra", "Salamanca", "Santa Cruz de Tenerife",
        "Segovia", "Sevilla", "Soria", "Tarragona", "Teruel",
        "Toledo", "Valencia", "Valladolid", "Vizcaya (Bizkaia)", 
        "Zamora", "Zaragoza"
      };
      //listaPersonas.Add(new CPersona("dd/MM/yy", "a_nombre1", "a_apellidos", "111222333"));
      //listaPersonas.Add(new CPersona("dd/MM/yy", "b_nombre1", "b_apellidos", "211222333"));
      //listaPersonas.Add(new CPersona("dd/MM/yy", "c_nombre1", "c_apellidos", "311222333"));
      //listaPersonas.Add(new CPersona("dd/MM/yy", "a_nombre2", "a_apellidos", "411222333"));
      //listaPersonas.Add(new CPersona("dd/MM/yy", "a_nombre3", "a_apellidos", "686222333"));
      //listaPersonas.Add(new CPersona("dd/MM/yy", "b_nombre2", "b_apellidos", "686222333"));
      //acbProvincias.ItemsSource = listaPersonas;
      //acbProvincias.ItemFilter += Filtro;
    }

    public bool Filtro(string texto, object objeto)
    {
      return (objeto as CPersona).Telefono.StartsWith("686");
    }

    private void acbProvincias_GotFocus(object sender, RoutedEventArgs e)
    {
      popUpProvincias.IsOpen = true;
    }

    private void popUpProvincias_MouseLeftButtonDown(object sender, MouseButtonEventArgs e)
    {
      popUpProvincias.IsOpen = false;
    }
  }
}
