﻿
namespace ApRiaServices.Web
{
  using System;
  using System.Collections.Generic;
  using System.ComponentModel;
  using System.ComponentModel.DataAnnotations;
  using System.Data.Objects.DataClasses;
  using System.Linq;
  using System.ServiceModel.DomainServices.Hosting;
  using System.ServiceModel.DomainServices.Server;


  // El MetadataTypeAttribute identifica a alum_asigMetadata como la clase
  // que contiene metadatos adicionales para la class alum_asig.
  [MetadataTypeAttribute(typeof(alum_asig.alum_asigMetadata))]
  public partial class alum_asig
  {

    // Esta clase permite adjuntar atributos personalizados a properties
    // de la clase alum_asig.
    //
    // Por ejemplo, lo siguiente marca la propiedad Xyz como una
    // propiedad requerida y especifica el formato de los valores válidos:
    //    [Required]
    //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
    //    [StringLength(32)]
    //    public string Xyz { get; set; }
    internal sealed class alum_asigMetadata
    {

      // No se van a crear instancias de las clases de metadatos.
      private alum_asigMetadata()
      {
      }

      public alumno alumno { get; set; }

      public asignatura asignatura { get; set; }

      public int id_alumno { get; set; }

      public int id_asignatura { get; set; }

      public float nota { get; set; }
    }
  }

  // El MetadataTypeAttribute identifica a alumnoMetadata como la clase
  // que contiene metadatos adicionales para la class alumno.
  [MetadataTypeAttribute(typeof(alumno.alumnoMetadata))]
  public partial class alumno
  {

    // Esta clase permite adjuntar atributos personalizados a properties
    // de la clase alumno.
    //
    // Por ejemplo, lo siguiente marca la propiedad Xyz como una
    // propiedad requerida y especifica el formato de los valores válidos:
    //    [Required]
    //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
    //    [StringLength(32)]
    //    public string Xyz { get; set; }
    internal sealed class alumnoMetadata
    {

      // No se van a crear instancias de las clases de metadatos.
      private alumnoMetadata()
      {
      }

      public EntityCollection<alum_asig> alums_asigs { get; set; }

      public int id_alumno { get; set; }

      public string nombre { get; set; }
    }
  }

  // El MetadataTypeAttribute identifica a asignaturaMetadata como la clase
  // que contiene metadatos adicionales para la class asignatura.
  [MetadataTypeAttribute(typeof(asignatura.asignaturaMetadata))]
  public partial class asignatura
  {

    // Esta clase permite adjuntar atributos personalizados a properties
    // de la clase asignatura.
    //
    // Por ejemplo, lo siguiente marca la propiedad Xyz como una
    // propiedad requerida y especifica el formato de los valores válidos:
    //    [Required]
    //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
    //    [StringLength(32)]
    //    public string Xyz { get; set; }
    internal sealed class asignaturaMetadata
    {

      // No se van a crear instancias de las clases de metadatos.
      private asignaturaMetadata()
      {
      }

      public EntityCollection<alum_asig> alums_asigs { get; set; }

      public int id_asignatura { get; set; }

      public string nombre { get; set; }
    }
  }
}
