﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace CajasDeDialogo
{
  /// <summary>
  /// Lógica de interacción para DlgListaSimple.xaml
  /// </summary>
  public partial class DlgListaSimple : Window
  {
    public DlgListaSimple()
    {
      InitializeComponent();
    }

    private void DlgListaSimple_Loaded(object sender, RoutedEventArgs e)
    {
      //string[] elemento = new string[] {
      //  "uno", "dos", "tres", "cuatro", "cinco", "seis", "siete",
      //  "ocho", "nueve", "diez", "once", "doce", "trece", "catorce" };
      //this.lsLista1.ItemsSource = elemento;
    }

    private void btAceptar_Click(object sender, RoutedEventArgs e)
    {
      if (lsLista1.SelectedIndex < 0) return;
      string s = "";
      foreach (string s1 in lsLista1.SelectedItems)
        s = s + s1 + Environment.NewLine;
      MessageBox.Show(s);
    }

    private void btAñadir_Click(object sender, RoutedEventArgs e)
    {
      try
      {
        // Añadir el elemento introducido en la
        // caja de texto ctAñadir
        if (ctAñadir.Text.Length != 0)
          lsLista1.Items.Add(ctAñadir.Text);
      }
      catch (Exception ex)
      {
        MessageBox.Show(ex.Message);
      }
    }

    private void btBorrar_Click(object sender, RoutedEventArgs e)
    {
      if (lsLista1.SelectedIndex < 0) return;
      lsLista1.Items.RemoveAt(lsLista1.SelectedIndex);
    }
  }
}
