﻿using System.Windows.Controls;

namespace EnlaceDeDatosObjetos.Validacion
{
  class ReglaCajaTextoVacia : ValidationRule
  {
    public override ValidationResult Validate(object value,
    System.Globalization.CultureInfo cultureInfo)
    {
      double n;
      if (double.TryParse(value.ToString(), out n))
        return new ValidationResult(false,
          "No puede ser un dato numérico");

      string contenido = value as string;
      if (contenido.Length == 0)
        return new ValidationResult(false,
          string.Format("La cadena de entrada está vacía"));

      return ValidationResult.ValidResult;
    }
  }
}
