﻿using BDNotasAlumnos;
using BDNotasAlumnos.DataSetBDNotasAlumnosTableAdapters;
using System.Data;

namespace AccesoDesconectado
{
  class CProveedorDatosAlumno
  {
    private DataSetBDNotasAlumnos ds;
    private alumnosTableAdapter ad;

    public CProveedorDatosAlumno()
    {
      ds = new DataSetBDNotasAlumnos();
      ad = new alumnosTableAdapter();
      ad.Fill(ds.alumnos);

      ds.alumnos.alumnosRowChanged += new DataSetBDNotasAlumnos.alumnosRowChangeEventHandler(alumnos_FilaModificada);
      ds.alumnos.alumnosRowDeleted += new DataSetBDNotasAlumnos.alumnosRowChangeEventHandler(alumnos_FilaModificada);
    }

    void alumnos_FilaModificada(object sender, DataSetBDNotasAlumnos.alumnosRowChangeEvent e)
    {
      try
      {
        ad.Update(ds.alumnos);
      }
      catch (System.Data.SqlClient.SqlException ex)
      {
        System.Windows.MessageBox.Show(ex.Message);
      }
    }

    public DataView ObtenerAlumnos()
    {
      return ds.alumnos.DefaultView;
    }
  }
}
