﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace ApSilverlight.Paginas
{
  public partial class SilverlightTransformAnimada : UserControl
  {
    public SilverlightTransformAnimada()
    {
      InitializeComponent();
    }

    private void Inicio_Click(object sender, RoutedEventArgs e)
    {
      if (sbRotacionHexagono.GetCurrentState() == ClockState.Stopped)
      {
        Storyboard.SetTarget(sbRotacionHexagono, Hexagono.RenderTransform);
        sbRotacionHexagono.Begin();
      }
    }

    private void Pausa_Click(object sender, RoutedEventArgs e)
    {
      sbRotacionHexagono.Pause();
    }

    private void Continuar_Click(object sender, RoutedEventArgs e)
    {
      sbRotacionHexagono.Resume();
    }

    private void Parar_Click(object sender, RoutedEventArgs e)
    {
      if (sbPararRotHexagono.GetCurrentState() == ClockState.Stopped)
      {
        Storyboard.SetTarget(sbPararRotHexagono, Hexagono.RenderTransform);
        sbPararRotHexagono.Begin();
      }
    }

    private void sbPararRotHexagono_Completed(object sender, EventArgs e)
    {
      sbPararRotHexagono.Stop();
      sbRotacionHexagono.Stop();
    }
  }
}
