﻿using System;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.ServiceModel.Activation;
using System.Collections.Generic;
using System.Configuration;
using System.Data.SqlClient;

[ServiceContract(Namespace = "")]
[SilverlightFaultBehavior]
[AspNetCompatibilityRequirements(RequirementsMode = AspNetCompatibilityRequirementsMode.Allowed)]
public class UsersRoles
{
	[OperationContract]
  public List<string> Users()
  {
    List<string> ls = null;
    //string strConexion = "data source=.\\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|\\aspnetdb.mdf;User Instance=true";
    string strConexion = ConfigurationManager.
      ConnectionStrings["ApplicationServices"].ConnectionString;
    SqlConnection ConexionConBD = new SqlConnection(strConexion);
    using (ConexionConBD)
    {
      // Crear una consulta
      string Consulta =
        "SELECT aspnet_Users.UserName, aspnet_Roles.RoleName " +
        "FROM aspnet_Roles INNER JOIN " +
        "aspnet_UsersInRoles ON aspnet_Roles.RoleId = " +
        "aspnet_UsersInRoles.RoleId INNER JOIN " +
        "aspnet_Users ON aspnet_UsersInRoles.UserId = " +
        "aspnet_Users.UserId";
      SqlCommand OrdenSql = new SqlCommand(Consulta, ConexionConBD);
      // Abrir la conexión con la base de datos
      ConexionConBD.Open();
      // ExecuteReader hace la consulta y devuelve un SqlDataReader
      SqlDataReader Lector = OrdenSql.ExecuteReader();
      // Llamar siempre a Read antes de acceder a los datos
      ls = new List<string>();
      while (Lector.Read()) // siguiente registro
      {
        ls.Add(Lector["UserName"] + ",  " + Lector["RoleName"]);
      }
      // Llamar siempre a Close una vez finalizada la lectura
      Lector.Close();
    }
    return ls;
  }
}
